# Method Image.Image()->box()

Method box

  ```object`` box(`int` `x1`, `int` `y1`, `int` `x2`, `int` `y2`)`
  ```object`` box(`int` `x1`, `int` `y1`, `int` `x2`, `int` `y2`, `int` `r`, `int` `g`, `int` `b`)`
  ```object`` box(`int` `x1`, `int` `y1`, `int` `x2`, `int` `y2`, `int` `r`, `int` `g`, `int` `b`, `int` `alpha`)`

Description

  Draws a filled rectangle on the image.

  original | ->box (40,10, 10,80, 0,255,0) | ->box (40,10, 10,80, 255,0,0,75)

Parameter `x1`
Parameter `y1`
Parameter `x2`
Parameter `y2`

  box corners

Parameter `r`
Parameter `g`
Parameter `b`

  color of the box

Parameter `alpha`

  alpha value

Returns

  the object called